Bug 751344

Summary: Review Request: sesame - Red Hat MRG management system agent
Product: [Fedora] Fedora Reporter: Trevor McKay <tmckay>
Component: Package ReviewAssignee: Nuno Santos <nsantos>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aortega, herrold, matt, notting, nsantos, package-review, tomspur
Target Milestone: ---Flags: nsantos: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-18 10:55:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 751172    

Description Trevor McKay 2011-11-04 09:08:02 EDT
Spec URL: sftp://fedorapeople.org/home/fedora/tmckay/sesame.spec
SRPM URL: sftp://fedorapeople.org/home/fedora/tmckay/sesame-1.0-1.fc15.src.rpm
Description:

This a system agent that provides OS, memory, and load statistics for its host over QMF.  The MRG Management Console (cumin) consumes this data and uses it to populate displays under the Inventory tab.
Comment 1 Trevor McKay 2011-11-07 12:32:30 EST
Modifying sesame to use systemd scripts instead of sysvinit, on feedback from
spot.
Comment 2 Trevor McKay 2011-11-11 16:54:02 EST
Spec URL: http://tmckay.fedorapeople.org/sesame.spec
SRPM URL: http://tmckay.fedorapeople.org/sesame-1.1-1.fc15.src.rpm

Updated to use systemd.

Note, tried to put a source tarball for sesame under https://fedorahosted.org/releases/c/u/cumin/, since the source for sesame is actually part of the cumin source tree and sesame does not have a fedora project of its own.  However, the system wouldn't let me.

Thoughts, short of making sesame its own fedora project?
Comment 3 Thomas Spura 2011-12-04 08:43:56 EST
(In reply to comment #2)
> Thoughts, short of making sesame its own fedora project?

It looks really strange, that the cumin svn repo is basically a mix of several code projects...

Shouldn't they all have their own repository and cumin provides only scripts to check them out and build together (seems that's the goal of "mgmt"...)?
Comment 4 Trevor McKay 2011-12-05 09:37:14 EST
Thanks,

  sesame is really the outlier here, notes on the rest:

  mace is mostly defunct at this point, it was a QMF message traffic simulator for testing cumin.  It would be great if it worked, but at present it doesn't build and we test in other ways.

  basil was some proof of concept/demo stuff from early development that is not currently used.

  The rest are all modules that are part of cumin.  While a few of them could theoretically be broken out and used independently, practically they exist to serve the needs of "cumin-web" (cumin) and "cumin-data" (mint), the two functional halves that make up "cumin" from the customer perspective.  The source tree may be a little over-modularized from that perspective.

  I am a relative newcomer, this is my perspective.  Cleaning up the repo is on my long term todo list.


(In reply to comment #3)
> (In reply to comment #2)
> > Thoughts, short of making sesame its own fedora project?
> 
> It looks really strange, that the cumin svn repo is basically a mix of several
> code projects...
> 
> Shouldn't they all have their own repository and cumin provides only scripts to
> check them out and build together (seems that's the goal of "mgmt"...)?
Comment 5 Trevor McKay 2011-12-05 09:48:13 EST
I have no problem with moving sesame out of the cumin repo and making it a separate fedora project, if I can get assurance of an expedited ticket for setting up the new svn repo for sesame.... :)


(In reply to comment #3)
> (In reply to comment #2)
> > Thoughts, short of making sesame its own fedora project?
> 
> It looks really strange, that the cumin svn repo is basically a mix of several
> code projects...
> 
> Shouldn't they all have their own repository and cumin provides only scripts to
> check them out and build together (seems that's the goal of "mgmt"...)?
Comment 6 Nuno Santos 2011-12-13 14:48:54 EST
I've done a first pass at reviewing sesame, here are my notes (on the packaging guidelines template):

======================
OK - MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/sesame-*.rpm
sesame.i686: W: non-standard-uid /lib/systemd/system/sesame.service sesame
sesame.i686: W: non-standard-gid /lib/systemd/system/sesame.service sesame
sesame.i686: W: non-standard-uid /var/log/sesame sesame
sesame.i686: W: non-standard-gid /var/log/sesame sesame
sesame.i686: W: non-standard-uid /etc/sesame/sesame.conf sesame
sesame.i686: W: non-standard-gid /etc/sesame/sesame.conf sesame
sesame.i686: W: non-standard-uid /var/lib/sesame sesame
sesame.i686: W: non-standard-gid /var/lib/sesame sesame
sesame.i686: W: log-files-without-logrotate /var/log/sesame
sesame.i686: W: no-manual-page-for-binary sesame
sesame.i686: W: dangerous-command-in-%post chown
sesame.src:59: W: macro-in-comment %{buildroot}
sesame.src:59: W: macro-in-comment %{_sysconfdir}
sesame.src: W: invalid-url Source0: sesame-1.1.tar.gz
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

The warnings mostly result from the use of the sesame:sesame user, look benign.

OK - MUST: The package must be named according to the Package Naming Guidelines.

OK - MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

OK - MUST: The package must meet the Packaging Guidelines.

OK (GPLv2+) - MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

OK (but LICENSE file missing) - MUST: The License field in the package spec file must match the actual license.

NA - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK - MUST: The spec file must be written in American English.

OK - MUST: The spec file for the package MUST be legible.

OK (see notes) - MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
  NOTES: there isn't an upstream tarfile available, and following the directions on the specfile to do an svn export and then tar it up results in different md5sums. However, there are no diffs between the uploaded tarfile and the svn export tarfile, so the md5sum difference may be due to the tar process. It might be a good idea to have a tarfile checked in upstreams, so that this issue can be resolved (and also eliminate the corresponding warning).

OK - MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
$ mock -r fedora-rawhide-i386 sesame-1.1-1.fc15.src.rpm 
INFO: mock.py version 1.1.18 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(sesame-1.1-1.fc15.src.rpm)  Config(fedora-rawhide-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.18
INFO: Mock Version: 1.1.18
INFO: calling preinit hooks
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
INFO: Done(sesame-1.1-1.fc15.src.rpm) Config(fedora-rawhide-i386) 7 minutes 37 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-i386/result
State Changed: end

NA - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

OK - MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

NA - MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

NA - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

OK - MUST: Packages must NOT bundle copies of system libraries.

NA - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

OK - MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

OK - MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

OK - MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.

OK - MUST: Each package must consistently use macros.

OK - MUST: The package must contain code, or permissable content.

NA - MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

OK - MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

NA - MUST: Header files must be in a -devel package.

NA - MUST: Static libraries must be in a -static package.

NA - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

NA - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}

NA - MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

NA - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

OK - MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

OK - MUST: All filenames in rpm packages must be valid UTF-8.


** - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

NA - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

OK (see notes)- SHOULD: The reviewer should test that the package builds in mock.
  NOTES: mock output included above

OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.

OK (see notes)- SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
  NOTES: package has received significant testing as part of RHEL/MRG

OK - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

NA - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

NA - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

NA - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

** - SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
======================


So it's looking pretty good, but I'd like to see the upstream tarfile / md5sum issue resolved cleanly before approving. Also it would be good to add the LICENSE file upstream while you're at it.
Comment 7 Trevor McKay 2011-12-14 14:36:44 EST
Spec URL: http://tmckay.fedorapeople.org/sesame.spec
SRPM URL: http://tmckay.fedorapeople.org/sesame-1.1-2.fc15.src.rpm

Fixed the Source0 tag, put sesame-1.1.tar.gz under https://fedorahosted.org/releases/c/u/cumin/.  (cockpit error on previous attempts)

Added the LICENSE file to the tarball and included in %doc.
Comment 8 Trevor McKay 2011-12-15 10:38:50 EST
Spec URL: http://tmckay.fedorapeople.org/sesame.spec
SRPM URL: http://tmckay.fedorapeople.org/sesame-1.1-2.fc16.src.rpm

Tweaked the spec, do not enable the service by default in %post
Comment 9 Nuno Santos 2011-12-20 13:35:08 EST
Checked md5sum against the uploaded tarfile, match:

$ rpm2cpio sesame-1.1-2.fc16.src.rpm | cpio -ivd ; md5sum sesame-1.1.tar.gz
bz481770.patch
sesame-1.1.tar.gz
sesame.spec
47 blocks
358d2dff58f20c712dafa6ca8fb59ab6  sesame-1.1.tar.gz

$ wget http://fedorahosted.org/releases/c/u/cumin/sesame-1.1.tar.gz ; md5sum sesame-1.1.tar.gz
--2011-12-20 13:31:58--  http://fedorahosted.org/releases/c/u/cumin/sesame-1.1.tar.gz
Resolving fedorahosted.org... 66.135.62.191
Connecting to fedorahosted.org|66.135.62.191|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://fedorahosted.org/releases/c/u/cumin/sesame-1.1.tar.gz [following]
--2011-12-20 13:31:59--  https://fedorahosted.org/releases/c/u/cumin/sesame-1.1.tar.gz
Connecting to fedorahosted.org|66.135.62.191|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 16711 (16K) [application/x-gzip]
Saving to: “sesame-1.1.tar.gz”

100%[==========================================================>] 16,711      --.-K/s   in 0.07s   

2011-12-20 13:31:59 (244 KB/s) - “sesame-1.1.tar.gz” saved [16711/16711]

358d2dff58f20c712dafa6ca8fb59ab6  sesame-1.1.tar.gz



Rebuilt updated srpm in mock:


$ mock -r fedora-rawhide-i386 sesame-1.1-2.fc16.src.rpm 
INFO: mock.py version 1.1.18 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(sesame-1.1-2.fc16.src.rpm)  Config(fedora-rawhide-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-rawhide-i386) unlocked and deleted
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.18
INFO: Mock Version: 1.1.18
INFO: calling preinit hooks
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
INFO: Done(sesame-1.1-2.fc16.src.rpm) Config(fedora-rawhide-i386) 4 minutes 45 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-i386/result
State Changed: end

$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/sesame-*.rpm
sesame.i686: W: non-standard-uid /var/log/sesame sesame
sesame.i686: W: non-standard-gid /var/log/sesame sesame
sesame.i686: W: non-standard-uid /lib/systemd/system/sesame.service sesame
sesame.i686: W: non-standard-gid /lib/systemd/system/sesame.service sesame
sesame.i686: W: non-standard-uid /etc/sesame/sesame.conf sesame
sesame.i686: W: non-standard-gid /etc/sesame/sesame.conf sesame
sesame.i686: W: non-standard-uid /var/lib/sesame sesame
sesame.i686: W: non-standard-gid /var/lib/sesame sesame
sesame.i686: W: log-files-without-logrotate /var/log/sesame
sesame.i686: W: no-manual-page-for-binary sesame
sesame.i686: W: dangerous-command-in-%post chown
sesame.src:45: W: macro-in-comment %{buildroot}
sesame.src:45: W: macro-in-comment %{_sysconfdir}
3 packages and 0 specfiles checked; 0 errors, 13 warnings.

(same warnings as before, safe to ignore)


The issues have been addressed, so the package is APPROVED.
Comment 10 Trevor McKay 2011-12-21 11:17:38 EST
New Package SCM Request
=======================
Package Name: sesame
Short Description: Red Hat MRG management system agent
Owners: tmckay matt
Branches: f15 f16 f17
InitialCC: tmckay croberts
Comment 11 Jon Ciesla 2011-12-21 11:21:51 EST
Git done (by process-git-requests).

f17==devel.